/* head.c
	P.Chongstitvatana
	1 Sept 97

	3 Apr 2001   start project RZ
*/

#include <stdio.h>
#include <stdlib.h>

#define 	PRIVATE	static

#define		MAGIC	0x2def
#define		VER	1

PRIVATE FILE *Fin,*Fout;

PRIVATE void putInt( int n )
{
  putc( n / 256 , Fout);
  putc( n % 256 , Fout);
}

PRIVATE int getInt()
{
  return getc(Fin)*256 + getc(Fin);
}


void writeHead(FILE *fo, int csize, int dsize)
{
  Fout = fo;
  putInt(MAGIC);
  putInt(VER);
  putInt(csize);
  putInt(dsize);
  putInt(0);
  putInt(0);
  putInt(0);
  putInt(0);
}

void readHead(FILE *fi, int *csize, int *dsize)
{
  Fin = fi;
  if( getInt() != MAGIC ) {
    printf("not an icode file\n");
    exit(-1);
  }
  if( getInt() != VER ) {
    printf("version is not compatible");
    exit(-1);
  }
  *csize = getInt();
  *dsize = getInt();
  getInt();
  getInt();
  getInt();
  getInt();
}



